MSCORE(1)

NAME
mscore - MuseScore sheet music editor. MuseScore is a free and open source WYSIWYG typesetting program for musical scores, released under the GNU General Public Licence.

SYNOPSIS
mscore [options] [filename(s)] MuseScore or musescore is set as an alias for mscore on some systems.

DESCRIPTION
This manual page documents command line useage of mscore. See also:
    <https://musescore.org/handbook/command-line-options-0> For help with the full MuseScore program see the Online Handbook:
    <https://musescore.org/handbook>

OPTIONS
A summary of options is included below. Running mscore without options launches the full MuseScore program and opens any specified file(s).

-v  Displays MuseScore's current version and revision number in the command line without starting the graphical interface.

-d  Starts MuseScore in debug mode.

-L  Starts MuseScore in layout debug mode.

-s  Disables the integrated software synthesizer.

-m  Disables MIDI input.

-a <driver>
    Use audio driver: jack, alsa, pulse, portaudio.

-n  Starts with the new score wizard regardless of preference setting for start mode.

-I  Displays all MIDI input on the console.

-O  Displays all MIDI output on the console.

-o <filename>
    Exports the currently opened file to the specified <filename>. The file type depends on the filename extension. This option switches to the "converter" mode and avoids any graphical interface. You can also add a filename before the -o if you want to import and export files from the command line. For example mscore "My Score.mscz" -o "My Score.pdf".

-r <dpi>
    Determines the output resolution for the output to "*.png" files in the converter mode. The default resolution is 300 dpi.

-T <margin>
    Trims exported PNG and SVG images to remove surrounding whitespace around the score. The specified number of pixels of whitespace will be added as a margin; use 0 for a tightly cropped image. For SVG, this option works only with single-page scores.

-x <factor>
    Scales the score display and other GUI elements by the specified factor, for use with high resolution displays.

-S <style>
    Loads a style file; useful when you convert with the -o option.

-p <name>
    Execute the named plugin.

-F  Use only the standard built-in presets or "factory-settings" and delete preferences.

-R  Use only the standard built-in presets or "factory-settings", but do not delete preferences.

-i  Load icons from the file system. Useful if you want to edit the MuseScore icons and preview the changes.

-e  Enable experimental features.

-c <pathname>
    Set config path.

-t  Enable Test Mode.

-M <file>
    Specify MIDI import operations file.

-w  No web view in Start Center.

AUTHOR
MuseScore was written by Werner Schweer and others. If you find any bugs in the latest version please report them via the Issue Tracker:
    <https://musescore.org/project/issues> This manual page is maintained by the MuseScore development team. Please report mistakes via the Issue Tracker.